Browse Source

Merge 0.1.0.14+XXXX changes

svn:r5053
Peter Palfrader 18 years ago
parent
commit
e4ee8a0069
5 changed files with 61 additions and 5 deletions
  1. 1 1
      debian/TODO
  2. 21 0
      debian/changelog
  3. 11 1
      debian/control
  4. 14 3
      debian/rules
  5. 14 0
      debian/tor.init

+ 1 - 1
debian/TODO

@@ -6,5 +6,5 @@ Legend:
         D Deferred
         X Abandoned
 
-- strip debugging symbols when tor is more mature
+o strip debugging symbols when tor is more mature
 - don't enable coredumps by default

+ 21 - 0
debian/changelog

@@ -1,3 +1,9 @@
+tor (0.1.1.6-alpha-2) experimental; urgency=low
+
+  * Merge 0.1.0.14+XXXX changes.
+
+ -- Peter Palfrader <weasel@debian.org>  Wed, 14 Sep 2005 15:05:16 +0200
+
 tor (0.1.1.6-alpha-1) experimental; urgency=low
 
   * Experimental upstream version.
@@ -22,6 +28,21 @@ tor (0.1.1.5-alpha-1) UNRELEASED; urgency=low
 
  -- Peter Palfrader <weasel@debian.org>  Fri, 12 Aug 2005 17:02:23 +0200
 
+tor (0.1.0.14+XXXX) UNRELEASED; urgency=low
+
+  * Ship debugging information in a separate package now, instead
+    of simply not stripping tor.  This is still useful while tor is
+    young.  Ideally it would go away some time.
+  * Add LSB comments to init script as suggested by Petter Reinholdtsen
+    on the debian-devel list:
+    - http://lists.debian.org/debian-devel/2005/08/msg01172.html
+    - http://wiki.debian.net/?LSBInitScripts
+  * Work around broken chroots that do not resolve localhost or resolve
+    it to the wrong IP.  We now catch such cases in debian/rules, shout
+    at the buildd maintainer, and ignore the result of our test suite.
+
+ -- Peter Palfrader <weasel@debian.org>  Tue, 13 Sep 2005 19:18:39 +0200
+
 tor (0.1.0.14-1) unstable; urgency=high
 
   * New upstream version - changes, among others:

+ 11 - 1
debian/control

@@ -2,7 +2,7 @@ Source: tor
 Section: comm
 Priority: optional
 Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 4.1.65), libssl-dev, dpatch, zlib1g-dev, libevent-dev (>= 1.1), tetex-bin, tetex-extra, transfig, gs
+Build-Depends: debhelper (>= 4.1.65), libssl-dev, dpatch, zlib1g-dev, libevent-dev (>= 1.1), tetex-bin, tetex-extra, transfig, gs, binutils (>= 2.14.90.0.7)
 Standards-Version: 3.6.2
 
 Package: tor
@@ -46,3 +46,13 @@ Description: anonymizing overlay network for TCP
  The latest information can be found at http://tor.eff.org/, or on the
  mailing lists, archived at http://archives.seul.org/or/talk/ or
  http://archives.seul.org/or/announce/.
+
+Package: tor-dbg
+Architecture: any
+Depends: tor (= ${Source-Version})
+Suggests: gdb
+Priority: extra
+Description: debugging symbols for Tor
+ This package provides the debugging symbols for Tor, The Onion Router.
+ Those symbols allow your debugger to assign names to your backtraces, which
+ makes it somewhat easier to interpret core dumps.

+ 14 - 3
debian/rules

@@ -10,6 +10,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+LOCALHOST_IP  ?= $(shell getent hosts localhost | awk '{print $$1}')
 
 CFLAGS = -Wall -g
 
@@ -49,6 +50,7 @@ endif
 
 configure: patch-stamp
 config.status: configure
+	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi
 	dh_testdir
 	CFLAGS="$(CFLAGS)" ./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -70,8 +72,15 @@ build-stamp:  config.status
 	@echo
 	@echo
 	# Running unit tests
-	if [ "$(RUN_TEST)" != "no" ]; then \
-		src/or/test; \
+	@if [ "$(RUN_TEST)" != "no" ]; then \
+		if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then \
+			echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; \
+			echo "src/or/test || true"; \
+			src/or/test || true; \
+		else \
+			echo "src/or/test"; \
+			src/or/test; \
+		fi; \
 	else \
 		echo -e "\n\nSkipping unittests\n\n"; \
 	fi
@@ -170,7 +179,8 @@ binary-arch: build install
 #	dh_installcron
 	dh_installman
 	dh_link
-	#dh_strip
+	# Change this for debhelper compatibility level 5 or later!
+	dh_strip --dbg-package=tor
 	dh_compress
 	dh_fixperms
 	dh_installdeb
@@ -178,6 +188,7 @@ binary-arch: build install
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
+	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Result of testsuite has been ignored.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install 

+ 14 - 0
debian/tor.init

@@ -1,5 +1,19 @@
 #! /bin/sh
 
+### BEGIN INIT INFO
+# Provides:          tor
+# Required-Start:    $local_fs, $remote_fs, $network, $named, $time
+# Required-Stop:     $local_fs, $remote_fs, $network, $named, $time
+# Should-Start:      $syslog
+# Should-Stop:       $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Starts The Onion Router daemon processes
+# Description:       Start The Onion Router, a TCP overlay 
+#                    network client that provides anonymous
+#                    transport.
+### END INIT INFO
+
 set -e
 
 PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin